%define compatv 71
%{?compatv:%define compatfv 7.1}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname nis
%define modfullname mod_%{modname}

Summary: php %{?compatfv} NIS authentification extension
Summary(ko): php %{?compatfv} NIS 인증 확장
Name: php%{?compatv}-%{modname}
Version: 1.0.0
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel

%description
This extension support NIS authentification

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
* Sun Jan 10 2016 JoungKyun.Kim <http://oops.org> 1:1.0.0-1%{?dist}
- update 1.0.0 and support PHP7

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:0.0.2-1%{?dist}
- rebuilt on AN3

* Sat Dec 15 2012 JoungKyun.Kim <http://oops.org> 10:0.0.2-1%{?dist}
- update 0.0.2
- built for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:0.0.1-1%{?dist}
- first packaged

